CREATE TABLE raw_pick_dates (
	"date" timestamptz NOT NULL,
	subject_id int NOT NULL,
	count numeric NOT NULL,
	container_type text NOT NULL,
	container_volume int NOT NULL,
	frequency varchar(3) NOT NULL,
	street_name text NOT NULL,
	trash_type varchar(3) NOT NULL,
	trash_type_code varchar(3) NULL,
	trash_type_name varchar NULL,
	orientation_number int NOT NULL,
	address_char varchar(5) NULL,
	conscription_number numeric NULL,
	valid_from timestamptz NOT NULL,
	valid_to timestamptz NULL,
	station_number varchar(9) NULL,
	year_days_isoweeks text NULL,
	"year" int NULL,
	days text NULL,
	isoweeks text NULL,
	company text NOT NULL,
    -- audit fields,
    create_batch_id int8 NULL,
    created_at timestamptz NULL,
    created_by varchar(150) NULL,
    update_batch_id int8 NULL,
    updated_at timestamptz NULL,
    updated_by varchar(150) NULL,
    CONSTRAINT raw_pick_dates_pk PRIMARY KEY (subject_id)
);


CREATE TABLE planned_pick_dates (
	ksnko_container_id int4 NOT NULL,
	pick_date timestamptz NOT NULL,
    -- audit fields,
    create_batch_id int8 NULL,
    created_at timestamptz NULL,
    created_by varchar(150) NULL,
    update_batch_id int8 NULL,
    updated_at timestamptz NULL,
    updated_by varchar(150) NULL,
	CONSTRAINT planned_pick_dates_pk PRIMARY KEY (ksnko_container_id, pick_date),
	CONSTRAINT planned_pick_dates_fk FOREIGN KEY (ksnko_container_id) REFERENCES ksnko_containers(id)
);
